<?php 

require_once('phpmailer/PHPMailerAutoload.php');
require "app/Mage.php";

Mage::app();


/** Error reporting */
error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);
date_default_timezone_set('Europe/London');

define('EOL',(PHP_SAPI == 'cli') ? PHP_EOL : '<br />');

/** Include PHPExcel */
require_once dirname(__FILE__) . '/phpexcel/Classes/PHPExcel.php';


// Create new PHPExcel object
echo date('H:i:s') , " Create new PHPExcel object" , EOL;
$objPHPExcel = new PHPExcel();

// Set document properties
echo date('H:i:s') , " Set document properties" , EOL;
$objPHPExcel->getProperties()->setCreator("Leevan Abon")
							 ->setLastModifiedBy("Leevan Abon")
							 ->setTitle("PHPExcel Document")
							 ->setSubject("PHPExcel Document")
							 ->setDescription("Document for PHPExcel.")
							 ->setKeywords("office PHPExcel php")
							 ->setCategory("Test result file");
$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(60);
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(50);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(40);


$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'Full Name')
            ->setCellValue('B1', 'Email')
            ->setCellValue('C1', 'Phone');

        $resource = Mage::getSingleton('core/resource');
	$read = $resource->getConnection('core_read');
	$activateCode = $data["activation-code"];
	$results = $read->fetchAll("SELECT * FROM `insurance_activation_details` WHERE `imei` IS NULL "); 

// Add some data
echo date('H:i:s') , " Add some data" , EOL;
$i= 1;
foreach($results as $row){
$i++;
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A'.$i, $row['first_name'].' '.$row['last_name'])
            ->setCellValue('B'.$i, $row['email'])
            ->setCellValue('C'.$i, $row['phone']);

}


// Rename worksheet
echo date('H:i:s') , " Rename worksheet" , EOL;
$objPHPExcel->getActiveSheet()->setTitle('Simple');


// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);


// Save Excel 2007 file
/* echo date('H:i:s') , " Write to Excel2007 format" , EOL;
$callStartTime = microtime(true);

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save(str_replace('.php', '.xlsx', __FILE__));
$callEndTime = microtime(true);
$callTime = $callEndTime - $callStartTime;

echo date('H:i:s') , " File written to " , str_replace('.php', '.xlsx', pathinfo(__FILE__, PATHINFO_BASENAME)) , EOL;
echo 'Call time to write Workbook was ' , sprintf('%.4f',$callTime) , " seconds" , EOL;
// Echo memory usage
echo date('H:i:s') , ' Current memory usage: ' , (memory_get_usage(true) / 1024 / 1024) , " MB" , EOL; */


// Save Excel 95 file
echo date('H:i:s') , " Write to Excel5 format" , EOL;
$callStartTime = microtime(true);

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
$objWriter->save(str_replace('.php', '.xls', __FILE__));
$callEndTime = microtime(true);
$callTime = $callEndTime - $callStartTime;

echo date('H:i:s') , " File written to " , str_replace('.php', '.xls', pathinfo(__FILE__, PATHINFO_BASENAME)) , EOL;
echo 'Call time to write Workbook was ' , sprintf('%.4f',$callTime) , " seconds" , EOL;
// Echo memory usage
echo date('H:i:s') , ' Current memory usage: ' , (memory_get_usage(true) / 1024 / 1024) , " MB" , EOL;


// Echo memory peak usage
echo date('H:i:s') , " Peak memory usage: " , (memory_get_peak_usage(true) / 1024 / 1024) , " MB" , EOL;

// Echo done
echo date('H:i:s') , " Done writing files" , EOL;
echo 'Files have been created in ' , getcwd() , EOL;


$bodytext ="See Attachament..";

$email = new PHPMailer();
$email->From      = 'leevan@creativamotion.com';
$email->FromName  = 'Leevan';
$email->Subject   = 'Customer no Activation';
$email->Body      = $bodytext;
$email->AddAddress( 'leevan1983@gmail.com' );

$file_to_attach = getcwd().'/email-cery.xls';
echo $file_to_attach.'<br />';
$email->AddAttachment( $file_to_attach);

echo $email->Send();

//mail('leevan1983@gmail.com', 'My Subject', 'test');

foreach($results as $row){ 
$now = time();
$datediff = $now - strtotime($row['created_at']);

$diff = floor($datediff / (60 * 60 * 24));

//$diff = $now->diff($row['created_at'])->format("%a");
//echo $row['first_name'].' '.$row['last_name'].' -->'.$diff.' -- '.$row['created_at'].'<br />';

if ($diff == 10){

$bodytext ="10 days..";

$email = new PHPMailer();
$email->From      = 'cperle@shieldx2.com';
$email->FromName  = 'Cery Perle';
$email->Subject   = 'Activation Code';
$email->Body      = $bodytext;
$email->AddAddress( $row['email']);

 echo $email->Send();
}

if ($diff == 15){

$bodytext ="15 days..";

$email = new PHPMailer();
$email->From      = 'cperle@shieldx2.com';
$email->FromName  = 'Cery Perle';
$email->Subject   = 'Activation Code';
$email->Body      = $bodytext;
$email->AddAddress( $row['email']);

echo $email->Send();

}

if ($diff == 20){

$bodytext ="20 days..";

$email = new PHPMailer();
$email->From      = 'cperle@shieldx2.com';
$email->FromName  = 'Cery Perle';
$email->Subject   = 'Activation Code';
$email->Body      = $bodytext;
$email->AddAddress( $row['email']);

echo $email->Send();

}

if ($diff == 25){

$bodytext ="25 days..";

$email = new PHPMailer();
$email->From      = 'cperle@shieldx2.com';
$email->FromName  = 'Cery Perle';
$email->Subject   = 'Activation Code';
$email->Body      = $bodytext;
$email->AddAddress( $row['email']);

echo $email->Send();

}

}

 ?>